TR(1)

NOM
tr - Convertir ou éliminer des caractères

SYNOPSIS
tr [OPTION] ... ENSEMBLE1 [ENSEMBLE2]

DESCRIPTION

Convertir, compresser et/ou éliminer des caractères lus depuis l'entrée standard, les écrire sur la sortie standard.

-c, -C, --complement
    utiliser le complément de l'ENSEMBLE1

-d, --delete
    éliminer les caractères de l'ENSEMBLE1, ne pas convertir

-s, --squeeze-repeats
    remplacer chaque séquence de caractères répétés en entrée qui apparaît dans le dernier ENSEMBLE1 par une seule occurrence de ce caractère

-t, --truncate-set1
    tronquer d'abord l'ENSEMBLE1 à la longueur de l'ENSEMBLE2

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Les ENSEMBLEs sont indiqués sous forme de chaînes de caractères. La plupart se représentent eux-mêmes. Les séquences interprétées sont les suivantes.

\NNN
    caractère ayant la valeur octale NNN (1 à 3 chiffres octaux)

\\  contre-oblique ;

\a  signal sonore (« BEL »)

\b  effacement arrière (« backspace ») ;

\f  saut de page (« form feed ») ;

\n  saut de ligne (« new line ») ;

\r  retour

\t  tabulation horizontale ;

\v  tabulation verticale ;

CAR1-CAR2
    tous les caractères de CAR1 à CAR2, dans l'ordre croissant

[CAR*]
    dans l'ENSEMBLE2, copies de CAR jusqu'à la longueur de l'ENSEMBLE1

[CAR*RÉPÉTER]
    RÉPÉTER copies de CAR, RÉPÉTER est en octal s’il commence par 0

[:alnum:]
    toutes les lettres et les chiffres

[:alpha:]
    toutes les lettres

[:blank:]
    tous les blancs horizontaux

[:cntrl:]
    tous les caractères de contrôle

[:digit:]
    tous les chiffres

[:graph:]
    tous les caractères imprimables, sauf les blancs

[:lower:]
    toutes les lettres minuscules

[:print:]
    tous les caractères imprimables, y compris les blancs

[:punct:]
    tous les caractères de ponctuation

[:space:]
    tous les blancs verticaux ou horizontaux

[:upper:]
    toutes les lettres majuscules

[:xdigit:]
    tous les chiffres hexadécimaux

[=CAR=]
    tous les caractères équivalents à CAR

La conversion a lieu si -d n'est pas fourni et si les deux ensembles ENSEMBLE1 et ENSEMBLE2 sont fournis en paramètres. L'option -t ne peut être utilisée que lors de la conversion. L'ENSEMBLE2 est agrandi jusqu'à taille de l'ENSEMBLE1 par répétition de son dernier caractère si nécessaire. Les caractères en excès de l'ENSEMBLE2 sont ignorés. Seuls [:lower:] et [:upper:] sont garants d'une expansion selon l'ordre croissant ; utilisés dans l'ENSEMBLE2 lors de la conversion, ils ne peuvent être utilisés que par paires pour spécifier une conversion de la casse. L'option -s s'emploie avec le dernier ENSEMBLE spécifié et se produit après la conversion ou l'élimination.

AUTEUR
Écrit par Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/tr>
aussi disponible localement à l’aide de la commande : info '(coreutils) tr invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.